Bug 74750 - crash when selecting no mouse
crash when selecting no mouse
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: 75024
  Show dependency treegraph
Reported: 2002-10-01 09:35 EDT by Florian Effenberger
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:55:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2002-10-01 09:35:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
I have a mouse attached on COM1 but I do not want to install it with Linux. 
When I select "No Mouse", Anaconda crashes and reboots. This occured in Red Hat 
7.3 as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start the Anaconda program from CD 1
2. Attach a mouse to COM1
3. Select "No Mouse"

Actual Results:  Crash of Anaconda

Expected Results:  Going on with installing

Additional info:
Comment 1 Michael Fulbright 2002-10-01 14:46:05 EDT
Please try a TUI based install, or use a mouse with the install. There should be
no bad consequences of having a mouse detected.
Comment 2 Florian Effenberger 2002-10-01 15:17:10 EDT
TUI install? You mean the graphical installer?
Comment 3 Michael Fulbright 2002-10-03 15:36:28 EDT
Sorry - I mean boot the installer with the command line 'linux text'.
Comment 4 Florian Effenberger 2002-10-03 15:43:20 EDT
No problem :)

I did install in text mode, and then that error occured.
Comment 5 Dag Wieers 2002-10-04 19:26:16 EDT
Doing a graphical install with No mouse selected,
X won't start and anaconda will fail and bail out.

Although if I do the graphical install and I fake
that I have a serial mouse on COM1. It works.

Note that a graphical install without a mouse DOES work,
although the installer advices against it.

Maybe, if No mouse is selected,
it could 'fake' a serial mouse on COM1 ?
Comment 6 Michael Fulbright 2002-12-06 15:35:13 EST
I believe this is fixed in our internal tree.
Comment 7 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 8 Brent Fox 2003-05-25 10:55:00 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.